using System;
using System.Reflection.Emit;

internal sealed class Delegate857 : MulticastDelegate
{
	public extern void Invoke(object object_0, OpCode opCode_0, Type type_0);

	public static void smethod_0(object object_0, OpCode opCode_0, Type type_0, Delegate857 delegate857_1)
	{
		delegate857_1(object_0, opCode_0, type_0);
	}

	public extern Delegate857(object object_0, IntPtr intptr_0);

	static Delegate857()
	{
		Class10.smethod_13(typeof(Delegate857).TypeHandle);
	}

	internal static Delegate857 delegate857_0;
}
